%define name exepak
%define version 1.1
%define release 1mdk

Summary: Executable file compressor for Linux
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch:  %{name}-1.1-compile.patch.bz2
Copyright: Public Domain 
Group: Development/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
exepak compresses binaries but keeps them executable, like
the old DOS PKLITE program.  Works on any Linux binary.
Archive includes source and 80x86/ELF binary.  (There's
a memory/speed penalty of course :)

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch

%build
cd lzo-1.01
%configure
%make
cd ../stub
%make CFLAGS="$RPM_OPT_FLAGS -DEXEPAK_STUBSIZE=6000"
REALSIZE=`ls -l exepak_stub|cut -d ' ' -f 18`
%make clean
%make CFLAGS="$RPM_OPT_FLAGS -DEXEPAK_STUBSIZE=$REALSIZE"
%make CFLAGS="$RPM_OPT_FLAGS" stubencode
cd ../src
%make CFLAGS="$RPM_OPT_FLAGS -DEXEPAK_STUBSIZE=$REALSIZE"
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp src/exepak $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog EXEPAK.DOC HOW-TO-COMPILE exepak-1.1.lsm
%{_bindir}/exepak

%changelog
* Fri Dec 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- initial package
